Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058334 - ${project.version} is not resolved for mod_cluster in server log
Summary: ${project.version} is not resolved for mod_cluster in server log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: EAP 6.3.0
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 15:06 UTC by Jitka Kozana
Modified: 2014-06-28 15:31 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
In previous releases of JBoss EAP 6, the version string logic was using a ${project.version} in the +ModClusterLogger.java+ As a result, ${project.version} was written to the server log. In this version, the logic has been fixed adding a version string in Version.properties and reading in before logging the start message. The version is now correctly displayed in the server log.
Clone Of:
Environment:
Last Closed: 2014-06-28 15:31:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker MODCLUSTER-375 Minor Closed mod_cluster version is unresolved in "Initializing mod_cluster ${project.version}" 2014-07-24 07:55:03 UTC

Description Jitka Kozana 2014-01-27 15:06:44 UTC
The snippet of server log:

INFO  [org.jboss.modcluster] (MSC service thread 1-8) MODCLUSTER000001: Initializing mod_cluster ${project.version}

Comment 1 Michal Karm Babacek 2014-03-20 16:12:01 UTC
m_c 1.2.8, java lib


Note You need to log in before you can comment on or make changes to this bug.